%define anolis_release 2
%bcond_without tests
%global pypi_name systemd

Name:           python-%{pypi_name}
Version:        235
Release:        %{anolis_release}%{?dist}
Summary:        Python wrappers for systemd functionality
License:        LGPLv2+
URL:            https://github.com/%{pypi_name}/python-%{pypi_name}
Source0:        https://github.com/%{pypi_name}/python-%{pypi_name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  make gcc %{pypi_name}-devel web-assets-devel
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-sphinx
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%description
Python module for native access to the systemd facilities. Functionality is
separated into a number of modules:

* systemd.journal supports sending of structured messages to the journal and
reading journal files,
* systemd.daemon wraps parts of libsystemd useful for writing daemons and
socket activation,
* systemd.id128 provides functions for querying machine and boot identifiers
and a lists of message identifiers provided by systemd,
* systemd.login wraps parts of libsystemd used to query logged in users and
available seats and machines.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Python wrappers for systemd functionality
Provides:       %{pypi_name}-python%{python3_pkgversion} = %{version}-%{release}
Obsoletes:      %{pypi_name}-python%{python3_pkgversion} < 230
Recommends:     %{name}-doc
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Python module for native access to the systemd facilities. Functionality is
separated into a number of modules:

* systemd.journal supports sending of structured messages to the journal and
reading journal files,
* systemd.daemon wraps parts of libsystemd useful for writing daemons and
socket activation,
* systemd.id128 provides functions for querying machine and boot identifiers
and a lists of message identifiers provided by systemd,
* systemd.login wraps parts of libsystemd used to query logged in users and
available seats and machines.

%package doc
Summary:        Documentation files for %{name}

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
make PYTHON=%{__python3} build
make SPHINX_BUILD=sphinx-build-3 PYTHON=%{__python3} doc
rm -r build/html/.{buildinfo,doctrees}

%install
%make_install PYTHON=%{__python3}
mkdir -p %{buildroot}%{_pkgdocdir}
cp -rv build/html %{buildroot}%{_pkgdocdir}/
cp -p README.md NEWS %{buildroot}%{_pkgdocdir}/

%if %{with tests}
%check
test -f /run/%{pypi_name}/journal/stdout || sed -i 's/--doctest[^ ]*//g' pytest.ini
make PYTHON=%{__python3} check
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}_python-%{version}-*.egg-info

%files doc
%doc %{_pkgdocdir}

%changelog
* Mon Apr 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 235-2
- Optimize the spec file

* Mon Sep 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 235-1
- update to 235

* Fri Jan 21 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 234-20
- Init from upstream version 234
